new version of automake
[scilab.git] / scilab / modules / jvm / Makefile.in
1 # Makefile.in generated by automake 1.11.2 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
6 # Foundation, Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18 #
19 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
20 # Copyright (C) INRIA   - 2006 - Sylvestre Ledru
21 # Copyright (C) DIGITEO - 2009 - Pierre MARECHAL
22
23 # This file must be used under the terms of the CeCILL.
24 # This source file is licensed as described in the file COPYING, which
25 # you should have received as part of this distribution.  The terms
26 # are also available at    
27 # http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
28 #
29
30 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
31 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
32 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
33 #
34 # This file must be used under the terms of the CeCILL.
35 # This source file is licensed as described in the file COPYING, which
36 # you should have received as part of this distribution.  The terms
37 # are also available at
38 # http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
39 #
40
41 ##########
42 ### Makefile included stuff
43 ### Target, variable, suffixes which are supposed to be usefull in every makefile.am
44 ##########
45
46
47
48 VPATH = @srcdir@
49 pkgdatadir = $(datadir)/@PACKAGE@
50 pkgincludedir = $(includedir)/@PACKAGE@
51 pkglibdir = $(libdir)/@PACKAGE@
52 pkglibexecdir = $(libexecdir)/@PACKAGE@
53 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
54 install_sh_DATA = $(install_sh) -c -m 644
55 install_sh_PROGRAM = $(install_sh) -c
56 install_sh_SCRIPT = $(install_sh) -c
57 INSTALL_HEADER = $(INSTALL_DATA)
58 transform = $(program_transform_name)
59 NORMAL_INSTALL = :
60 PRE_INSTALL = :
61 POST_INSTALL = :
62 NORMAL_UNINSTALL = :
63 PRE_UNINSTALL = :
64 POST_UNINSTALL = :
65 build_triplet = @build@
66 host_triplet = @host@
67 @GUI_TRUE@am__append_1 = libscijvm.la
68 @IS_MACOSX_TRUE@am__append_2 = -framework JavaVM
69 DIST_COMMON = $(libscijvm_la_include_HEADERS) $(srcdir)/Makefile.am \
70         $(srcdir)/Makefile.in $(top_srcdir)/Makefile.incl.am
71 @NEED_JAVA_TRUE@am__append_3 = java
72 subdir = modules/jvm
73 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
74 am__aclocal_m4_deps = $(top_srcdir)/m4/backtrace.m4 \
75         $(top_srcdir)/m4/compiler.m4 $(top_srcdir)/m4/docbook.m4 \
76         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
77         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
78         $(top_srcdir)/m4/intel_compiler.m4 \
79         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
80         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
81         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
82         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
83         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
84         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
85         $(top_srcdir)/m4/ocaml.m4 $(top_srcdir)/m4/pcre.m4 \
86         $(top_srcdir)/m4/pkg.m4 $(top_srcdir)/m4/relocatable.m4 \
87         $(top_srcdir)/m4/swig.m4 $(top_srcdir)/m4/symlinks.m4 \
88         $(top_srcdir)/m4/tcltk.m4 $(top_srcdir)/m4/umfpack.m4 \
89         $(top_srcdir)/configure.ac
90 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
91         $(ACLOCAL_M4)
92 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
93 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
94 CONFIG_CLEAN_FILES =
95 CONFIG_CLEAN_VPATH_FILES =
96 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
97 am__vpath_adj = case $$p in \
98     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
99     *) f=$$p;; \
100   esac;
101 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
102 am__install_max = 40
103 am__nobase_strip_setup = \
104   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
105 am__nobase_strip = \
106   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
107 am__nobase_list = $(am__nobase_strip_setup); \
108   for p in $$list; do echo "$$p $$p"; done | \
109   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
110   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
111     if (++n[$$2] == $(am__install_max)) \
112       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
113     END { for (dir in files) print dir, files[dir] }'
114 am__base_list = \
115   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
116   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
117 am__uninstall_files_from_dir = { \
118   test -z "$$files" \
119     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
120     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
121          $(am__cd) "$$dir" && rm -f $$files; }; \
122   }
123 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
124         "$(DESTDIR)$(libscijvm_la_etcdir)" \
125         "$(DESTDIR)$(libscijvm_la_rootdir)" \
126         "$(DESTDIR)$(libscijvm_la_sci_gatewaydir)" \
127         "$(DESTDIR)$(libscijvm_la_xmldir)" \
128         "$(DESTDIR)$(libscijvm_la_includedir)"
129 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
130 libscijvm_algo_la_LIBADD =
131 am__objects_1 = libscijvm_algo_la-InitializeJVM.lo \
132         libscijvm_algo_la-TerminateJVM.lo \
133         libscijvm_algo_la-JVM_Unix.lo libscijvm_algo_la-JVM.lo \
134         libscijvm_algo_la-addToClasspath.lo \
135         libscijvm_algo_la-loadOnUseClassPath.lo \
136         libscijvm_algo_la-loadBackGroundClassPath.lo \
137         libscijvm_algo_la-getClasspath.lo \
138         libscijvm_algo_la-system_getproperty.lo \
139         libscijvm_algo_la-system_setproperty.lo \
140         libscijvm_algo_la-loadClasspath.lo \
141         libscijvm_algo_la-createMainScilabObject.lo \
142         libscijvm_algo_la-JVM_commons.lo \
143         libscijvm_algo_la-catchIfJavaException.lo \
144         libscijvm_algo_la-loadLibrarypath.lo \
145         libscijvm_algo_la-getLibrarypath.lo \
146         libscijvm_algo_la-addToLibrarypath.lo \
147         libscijvm_algo_la-getJvmOptions.lo
148 am_libscijvm_algo_la_OBJECTS = $(am__objects_1)
149 libscijvm_algo_la_OBJECTS = $(am_libscijvm_algo_la_OBJECTS)
150 libscijvm_algo_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
151         $(LIBTOOLFLAGS) --mode=link $(CCLD) \
152         $(libscijvm_algo_la_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) \
153         -o $@
154 @GUI_TRUE@am_libscijvm_algo_la_rpath =
155 libscijvm_disable_la_LIBADD =
156 am_libscijvm_disable_la_OBJECTS = libscijvm_disable_la-nojvm.lo
157 libscijvm_disable_la_OBJECTS = $(am_libscijvm_disable_la_OBJECTS)
158 libscijvm_disable_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
159         $(LIBTOOLFLAGS) --mode=link $(CCLD) \
160         $(libscijvm_disable_la_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
161         $(LDFLAGS) -o $@
162 libscijvm_la_DEPENDENCIES = libscijvm-algo.la
163 am__objects_2 = libscijvm_la-sci_system_getproperty.lo \
164         libscijvm_la-sci_system_setproperty.lo \
165         libscijvm_la-sci_with_embedded_jre.lo \
166         libscijvm_la-sci_javaclasspath.lo libscijvm_la-gw_jvm.lo \
167         libscijvm_la-sci_javalibrarypath.lo
168 am_libscijvm_la_OBJECTS = $(am__objects_2)
169 libscijvm_la_OBJECTS = $(am_libscijvm_la_OBJECTS)
170 libscijvm_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
171         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(libscijvm_la_CFLAGS) \
172         $(CFLAGS) $(libscijvm_la_LDFLAGS) $(LDFLAGS) -o $@
173 @GUI_TRUE@am_libscijvm_la_rpath = -rpath $(pkglibdir)
174 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
175 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
176 am__depfiles_maybe = depfiles
177 am__mv = mv -f
178 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
179         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
180 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
181         --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
182         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
183 CCLD = $(CC)
184 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
185         --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
186         $(LDFLAGS) -o $@
187 SOURCES = $(libscijvm_algo_la_SOURCES) $(libscijvm_disable_la_SOURCES) \
188         $(libscijvm_la_SOURCES)
189 DIST_SOURCES = $(libscijvm_algo_la_SOURCES) \
190         $(libscijvm_disable_la_SOURCES) $(libscijvm_la_SOURCES)
191 DATA = $(libscijvm_la_etc_DATA) $(libscijvm_la_root_DATA) \
192         $(libscijvm_la_sci_gateway_DATA) $(libscijvm_la_xml_DATA)
193 HEADERS = $(libscijvm_la_include_HEADERS)
194 ETAGS = etags
195 CTAGS = ctags
196 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
197 ACLOCAL = @ACLOCAL@
198 ALL_LINGUAS = @ALL_LINGUAS@
199 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
200 AMTAR = @AMTAR@
201 ANT = @ANT@
202 ANTLR = @ANTLR@
203 AR = @AR@
204 ARPACK_LIBS = @ARPACK_LIBS@
205 AUTOCONF = @AUTOCONF@
206 AUTOHEADER = @AUTOHEADER@
207 AUTOMAKE = @AUTOMAKE@
208 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
209 AWK = @AWK@
210 BATIK = @BATIK@
211 BLAS_LIBS = @BLAS_LIBS@
212 BSH = @BSH@
213 CC = @CC@
214 CCACHE = @CCACHE@
215 CCDEPMODE = @CCDEPMODE@
216 CFLAGS = @CFLAGS@
217 CHECKSTYLE = @CHECKSTYLE@
218 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
219 COMMONS_IO = @COMMONS_IO@
220 COMMONS_LOGGING = @COMMONS_LOGGING@
221 CPP = @CPP@
222 CPPFLAGS = @CPPFLAGS@
223 CXX = @CXX@
224 CXXCPP = @CXXCPP@
225 CXXDEPMODE = @CXXDEPMODE@
226 CXXFLAGS = @CXXFLAGS@
227 CYGPATH_W = @CYGPATH_W@
228 DEFS = @DEFS@
229 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
230 DEPDIR = @DEPDIR@
231 DOCBOOK_ROOT = @DOCBOOK_ROOT@
232 DSYMUTIL = @DSYMUTIL@
233 DUMPBIN = @DUMPBIN@
234 ECHO_C = @ECHO_C@
235 ECHO_N = @ECHO_N@
236 ECHO_T = @ECHO_T@
237 EGREP = @EGREP@
238 EXEEXT = @EXEEXT@
239 F77 = @F77@
240 FFLAGS = @FFLAGS@
241 FFTW3_LIB = @FFTW3_LIB@
242 FFTW_ENABLE = @FFTW_ENABLE@
243 FGREP = @FGREP@
244 FLEXDOCK = @FLEXDOCK@
245 FLIBS = @FLIBS@
246 FOP = @FOP@
247 GENHTML = @GENHTML@
248 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
249 GIWS_BIN = @GIWS_BIN@
250 GLUEGEN_RT = @GLUEGEN_RT@
251 GMSGFMT = @GMSGFMT@
252 GMSGFMT_015 = @GMSGFMT_015@
253 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
254 GREP = @GREP@
255 GUI_ENABLE = @GUI_ENABLE@
256 HDF5_CFLAGS = @HDF5_CFLAGS@
257 HDF5_ENABLE = @HDF5_ENABLE@
258 HDF5_LIBS = @HDF5_LIBS@
259 HELP_ENABLE = @HELP_ENABLE@
260 INSTALL = @INSTALL@
261 INSTALL_DATA = @INSTALL_DATA@
262 INSTALL_PROGRAM = @INSTALL_PROGRAM@
263 INSTALL_SCRIPT = @INSTALL_SCRIPT@
264 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
265 INTLLIBS = @INTLLIBS@
266 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
267 JAR = @JAR@
268 JAVA = @JAVA@
269 JAVAC = @JAVAC@
270 JAVAC_DEBUG = @JAVAC_DEBUG@
271 JAVADOC = @JAVADOC@
272 JAVAH = @JAVAH@
273 JAVASCI_ENABLE = @JAVASCI_ENABLE@
274 JAVA_ENABLE = @JAVA_ENABLE@
275 JAVA_G = @JAVA_G@
276 JAVA_HOME = @JAVA_HOME@
277 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
278 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
279 JCOMMANDER = @JCOMMANDER@
280 JDB = @JDB@
281 JEUCLID_CORE = @JEUCLID_CORE@
282 JGRAPHX = @JGRAPHX@
283 JHALL = @JHALL@
284 JHDF5 = @JHDF5@
285 JLATEXMATH = @JLATEXMATH@
286 JLATEXMATH_FOP = @JLATEXMATH_FOP@
287 JOGL = @JOGL@
288 JROSETTA_API = @JROSETTA_API@
289 JROSETTA_ENGINE = @JROSETTA_ENGINE@
290 JUNIT = @JUNIT@
291 LAPACK_LIBS = @LAPACK_LIBS@
292 LCOV = @LCOV@
293 LD = @LD@
294 LDFLAGS = @LDFLAGS@
295 LIBICONV = @LIBICONV@
296 LIBINTL = @LIBINTL@
297 LIBM = @LIBM@
298 LIBOBJS = @LIBOBJS@
299 LIBS = @LIBS@
300 LIBTOOL = @LIBTOOL@
301 LIPO = @LIPO@
302 LN_S = @LN_S@
303 LOGGING_LEVEL = @LOGGING_LEVEL@
304 LOOKS = @LOOKS@
305 LTLIBICONV = @LTLIBICONV@
306 LTLIBINTL = @LTLIBINTL@
307 LTLIBOBJS = @LTLIBOBJS@
308 MAINT = @MAINT@
309 MAKEINFO = @MAKEINFO@
310 MATIO_CFLAGS = @MATIO_CFLAGS@
311 MATIO_ENABLE = @MATIO_ENABLE@
312 MATIO_LIBS = @MATIO_LIBS@
313 MKDIR_P = @MKDIR_P@
314 MSGCAT = @MSGCAT@
315 MSGFMT = @MSGFMT@
316 MSGFMT_015 = @MSGFMT_015@
317 MSGMERGE = @MSGMERGE@
318 NM = @NM@
319 NMEDIT = @NMEDIT@
320 OBJDUMP = @OBJDUMP@
321 OBJEXT = @OBJEXT@
322 OCAMLC = @OCAMLC@
323 OCAMLDEP = @OCAMLDEP@
324 OCAMLLEX = @OCAMLLEX@
325 OCAMLOPT = @OCAMLOPT@
326 OCAMLYACC = @OCAMLYACC@
327 OPENMP_CFLAGS = @OPENMP_CFLAGS@
328 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
329 OPENMP_ENABLE = @OPENMP_ENABLE@
330 OPENMP_LIBS = @OPENMP_LIBS@
331 OTOOL = @OTOOL@
332 OTOOL64 = @OTOOL64@
333 PACKAGE = @PACKAGE@
334 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
335 PACKAGE_NAME = @PACKAGE_NAME@
336 PACKAGE_STRING = @PACKAGE_STRING@
337 PACKAGE_TARNAME = @PACKAGE_TARNAME@
338 PACKAGE_URL = @PACKAGE_URL@
339 PACKAGE_VERSION = @PACKAGE_VERSION@
340 PATH_SEPARATOR = @PATH_SEPARATOR@
341 PCRE_CFLAGS = @PCRE_CFLAGS@
342 PCRE_CONFIG = @PCRE_CONFIG@
343 PCRE_LIBS = @PCRE_LIBS@
344 PCRE_VERSION = @PCRE_VERSION@
345 PKG_CONFIG = @PKG_CONFIG@
346 POSUB = @POSUB@
347 POW_LIB = @POW_LIB@
348 PYTHON = @PYTHON@
349 QDOX = @QDOX@
350 RANLIB = @RANLIB@
351 RELOCATABLE = @RELOCATABLE@
352 RT_LIB = @RT_LIB@
353 SAXON = @SAXON@
354 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
355 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
356 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
357 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
358 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
359 SED = @SED@
360 SET_MAKE = @SET_MAKE@
361 SET_RELOCATABLE = @SET_RELOCATABLE@
362 SHELL = @SHELL@
363 SKINLF = @SKINLF@
364 SPLINT = @SPLINT@
365 STRIP = @STRIP@
366 SWIG_BIN = @SWIG_BIN@
367 SWIG_JAVA = @SWIG_JAVA@
368 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
369 TCLTK_LIBS = @TCLTK_LIBS@
370 TCL_INC_PATH = @TCL_INC_PATH@
371 TESTNG = @TESTNG@
372 TK_INC_PATH = @TK_INC_PATH@
373 UMFPACK_ENABLE = @UMFPACK_ENABLE@
374 UMFPACK_LIB = @UMFPACK_LIB@
375 USE_NLS = @USE_NLS@
376 VERSION = @VERSION@
377 WITH_OCAML = @WITH_OCAML@
378 WITH_TKSCI = @WITH_TKSCI@
379 XCOS_ENABLE = @XCOS_ENABLE@
380 XGETTEXT = @XGETTEXT@
381 XGETTEXT_015 = @XGETTEXT_015@
382 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
383 XMKMF = @XMKMF@
384 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
385 XML_APIS_EXT = @XML_APIS_EXT@
386 XML_CONFIG = @XML_CONFIG@
387 XML_FLAGS = @XML_FLAGS@
388 XML_LIBS = @XML_LIBS@
389 XML_VERSION = @XML_VERSION@
390 X_CFLAGS = @X_CFLAGS@
391 X_EXTRA_LIBS = @X_EXTRA_LIBS@
392 X_LIBS = @X_LIBS@
393 X_PRE_LIBS = @X_PRE_LIBS@
394 abs_builddir = @abs_builddir@
395 abs_srcdir = @abs_srcdir@
396 abs_top_builddir = @abs_top_builddir@
397 abs_top_srcdir = @abs_top_srcdir@
398 ac_ct_CC = @ac_ct_CC@
399 ac_ct_CXX = @ac_ct_CXX@
400 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
401 ac_ct_F77 = @ac_ct_F77@
402 am__include = @am__include@
403 am__leading_dot = @am__leading_dot@
404 am__quote = @am__quote@
405 am__tar = @am__tar@
406 am__untar = @am__untar@
407 bindir = @bindir@
408 build = @build@
409 build_alias = @build_alias@
410 build_cpu = @build_cpu@
411 build_os = @build_os@
412 build_vendor = @build_vendor@
413 builddir = @builddir@
414 cxx_present = @cxx_present@
415 datadir = @datadir@
416 datarootdir = @datarootdir@
417 docdir = @docdir@
418 dvidir = @dvidir@
419 exec_prefix = @exec_prefix@
420 host = @host@
421 host_alias = @host_alias@
422 host_cpu = @host_cpu@
423 host_os = @host_os@
424 host_vendor = @host_vendor@
425 htmldir = @htmldir@
426 includedir = @includedir@
427 infodir = @infodir@
428 install_sh = @install_sh@
429 libdir = @libdir@
430 libexecdir = @libexecdir@
431 localedir = @localedir@
432 localstatedir = @localstatedir@
433 mandir = @mandir@
434 mkdir_p = @mkdir_p@
435 oldincludedir = @oldincludedir@
436 pdfdir = @pdfdir@
437 prefix = @prefix@
438 program_transform_name = @program_transform_name@
439 psdir = @psdir@
440 sbindir = @sbindir@
441 sharedstatedir = @sharedstatedir@
442 srcdir = @srcdir@
443 sysconfdir = @sysconfdir@
444 target_alias = @target_alias@
445 top_build_prefix = @top_build_prefix@
446 top_builddir = @top_builddir@
447 top_srcdir = @top_srcdir@
448
449 #### Target ####
450 modulename = jvm
451
452 #### jvm : Conf files ####
453 libscijvm_la_rootdir = $(mydatadir)
454 libscijvm_la_root_DATA = license.txt 
455
456 #### jvm : init scripts ####
457 libscijvm_la_etcdir = $(mydatadir)/etc
458 libscijvm_la_etc_DATA = etc/jvm.quit etc/jvm.start
459 libscijvm_la_CFLAGS = $(JAVA_JNI_INCLUDE) \
460                         -I$(top_srcdir)/libs/MALLOC/includes/ \
461                         -I$(top_srcdir)/libs/dynamiclibrary/includes/ \
462                         -I$(srcdir)/includes/ \
463                         -I$(srcdir)/src/c \
464                         $(XML_FLAGS) \
465                         -I$(top_srcdir)/modules/output_stream/includes/ \
466                         -I$(top_srcdir)/modules/localization/includes/ \
467                         -I$(top_srcdir)/modules/string/includes/ \
468                         -I$(top_srcdir)/modules/api_scilab/includes \
469                         -I$(top_srcdir)/modules/call_scilab/includes \
470                         -I$(top_srcdir)/modules/fileio/includes/
471
472 pkglib_LTLIBRARIES = libscijvm-disable.la $(am__append_1)
473 @GUI_TRUE@USEANT = 1
474 @GUI_TRUE@noinst_LTLIBRARIES = libscijvm-algo.la
475 libscijvm_la_LDFLAGS = -version-number $(SCILAB_LIBRARY_VERSION) \
476         -lpthread $(XML_LIBS) $(JAVA_JNI_LIBS) $(am__append_2)
477 libscijvm_la_LIBADD = libscijvm-algo.la
478
479 #### jvm : gateway declaration ####
480 libscijvm_la_sci_gatewaydir = $(mydatadir)/sci_gateway
481 libscijvm_la_sci_gateway_DATA = sci_gateway/jvm_gateway.xml
482
483 #### jvm :  dtd files ####
484 libscijvm_la_xmldir = $(mydatadir)/xml
485 libscijvm_la_xml_DATA = xml/classpath.dtd  xml/librarypath.dtd
486
487 #### jvm : include files ####
488 libscijvm_la_includedir = $(pkgincludedir)
489 libscijvm_la_include_HEADERS = includes/getScilabJavaVM.h \
490 includes/getScilabJNIEnv.h \
491 includes/addToClasspath.h \
492 includes/addToLibrarypath.h \
493 includes/getScilabObject.h
494
495 GATEWAY_C_SOURCES = sci_gateway/c/sci_system_getproperty.c \
496 sci_gateway/c/sci_system_setproperty.c \
497 sci_gateway/c/sci_with_embedded_jre.c \
498 sci_gateway/c/sci_javaclasspath.c \
499 sci_gateway/c/gw_jvm.c \
500 sci_gateway/c/sci_javalibrarypath.c
501
502 JVM_C_SOURCES = src/c/InitializeJVM.c \
503 src/c/TerminateJVM.c \
504 src/c/JVM_Unix.c \
505 src/c/JVM.c \
506 src/c/addToClasspath.c \
507 src/c/loadOnUseClassPath.c \
508 src/c/loadBackGroundClassPath.c \
509 src/c/getClasspath.c \
510 src/c/system_getproperty.c \
511 src/c/system_setproperty.c \
512 src/c/loadClasspath.c \
513 src/c/createMainScilabObject.c \
514 src/c/JVM_commons.c \
515 src/c/catchIfJavaException.c \
516 src/c/loadLibrarypath.c \
517 src/c/getLibrarypath.c \
518 src/c/addToLibrarypath.c \
519 src/c/getJvmOptions.c
520
521 libscijvm_disable_la_SOURCES = src/nojvm/nojvm.c
522 libscijvm_disable_la_CFLAGS = -I$(srcdir)/includes/ \
523                         -I$(top_srcdir)/modules/call_scilab/includes \
524                         -I$(srcdir)/src/c \
525                         -I$(top_srcdir)/modules/api_scilab/includes \
526                         -I$(top_srcdir)/modules/output_stream/includes/
527
528 libscijvm_algo_la_SOURCES = $(JVM_C_SOURCES)
529 libscijvm_la_SOURCES = $(GATEWAY_C_SOURCES)
530 libscijvm_algo_la_CFLAGS = $(libscijvm_la_CFLAGS)
531
532 # For the code check (splint)
533 CHECK_SRC = $(libscijvm_la_SOURCES)
534 INCLUDE_FLAGS = $(libscijvm_la_CFLAGS)
535
536 # Where all the Scilab stuff is installed (macros, help, ...)
537 mydatadir = $(pkgdatadir)/modules/$(modulename)
538
539 # splint options
540 SPLINT_OPTIONS = -weak -booltype BOOL
541
542 ########################### JAVA ######################################
543 #### We are delegating java compilation to ant... Thanks to that
544 #### the procedure will be the same with Microsoft Windows (C)
545 #### and Linux/Unix
546 #######################################################################
547 TARGETS_ALL = $(am__append_3)
548
549 ################ MACROS ######################
550 # Rule to build a macro
551 # NOT USED  AT THE MOMENT
552 SUFFIXES = .sci 
553
554 ########### INSTALL DOCUMENTATION ###################
555
556 # Install documentation files into the right target
557 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
558 # automake needs the html files to be present which is not the case when
559 # we are building Scilab
560
561 # Where it should be installed
562 pkgdocdir = $(mydatadir)
563
564 # What is the mask of the help source
565 DOCMASKXML = *.xml
566
567 # What is the mask of the MathML sources
568 DOCMASKMML = *.mml
569
570 ########### INSTALL DATA ###################
571 # Install macros, help & demos
572 # Where it should be installed
573 pkgmacrosdir = $(mydatadir)
574 # Which directory we process
575 MACRODIRS = macros/
576 # Mask of the Scilab sources macros
577 MACROMASK = *.sci
578 # Mask of the Scilab executable sources macros
579 MACROBUILDMASK = *.sce
580 # Mask of the Scilab compiled macros
581 MACROBINMASK = *.bin
582 # List of the standard directory for tests
583 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
584 # Where the demos should be installed
585 pkgdemosdir = $(mydatadir)
586 # List of the standard directory for demos
587 DEMOS_DIR = demos
588 # List of the standard directory for examples
589 EXAMPLES_DIR = examples
590 # Where to export JAVA archives (.jar)
591 JARDIR = jar/
592 # JAR files mask
593 JARMASK = *.jar
594 # Chapter file 
595 HELP_CHAPTERDIR = help/
596 HELP_CHAPTERFILE = addchapter.sce
597 HELP_CHAPTERLANG = en_US fr_FR pt_BR
598 all: all-am
599
600 .SUFFIXES:
601 .SUFFIXES: .sci .bin .c .lo .o .obj
602 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
603         @for dep in $?; do \
604           case '$(am__configure_deps)' in \
605             *$$dep*) \
606               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
607                 && { if test -f $@; then exit 0; else break; fi; }; \
608               exit 1;; \
609           esac; \
610         done; \
611         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/jvm/Makefile'; \
612         $(am__cd) $(top_srcdir) && \
613           $(AUTOMAKE) --foreign modules/jvm/Makefile
614 .PRECIOUS: Makefile
615 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
616         @case '$?' in \
617           *config.status*) \
618             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
619           *) \
620             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
621             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
622         esac;
623
624 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
625         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
626
627 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
628         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
629 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
630         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
631 $(am__aclocal_m4_deps):
632
633 clean-noinstLTLIBRARIES:
634         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
635         @list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
636           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
637           test "$$dir" != "$$p" || dir=.; \
638           echo "rm -f \"$${dir}/so_locations\""; \
639           rm -f "$${dir}/so_locations"; \
640         done
641 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
642         @$(NORMAL_INSTALL)
643         test -z "$(pkglibdir)" || $(MKDIR_P) "$(DESTDIR)$(pkglibdir)"
644         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
645         list2=; for p in $$list; do \
646           if test -f $$p; then \
647             list2="$$list2 $$p"; \
648           else :; fi; \
649         done; \
650         test -z "$$list2" || { \
651           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
652           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
653         }
654
655 uninstall-pkglibLTLIBRARIES:
656         @$(NORMAL_UNINSTALL)
657         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
658         for p in $$list; do \
659           $(am__strip_dir) \
660           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
661           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
662         done
663
664 clean-pkglibLTLIBRARIES:
665         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
666         @list='$(pkglib_LTLIBRARIES)'; for p in $$list; do \
667           dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
668           test "$$dir" != "$$p" || dir=.; \
669           echo "rm -f \"$${dir}/so_locations\""; \
670           rm -f "$${dir}/so_locations"; \
671         done
672 libscijvm-algo.la: $(libscijvm_algo_la_OBJECTS) $(libscijvm_algo_la_DEPENDENCIES) 
673         $(libscijvm_algo_la_LINK) $(am_libscijvm_algo_la_rpath) $(libscijvm_algo_la_OBJECTS) $(libscijvm_algo_la_LIBADD) $(LIBS)
674 libscijvm-disable.la: $(libscijvm_disable_la_OBJECTS) $(libscijvm_disable_la_DEPENDENCIES) 
675         $(libscijvm_disable_la_LINK) -rpath $(pkglibdir) $(libscijvm_disable_la_OBJECTS) $(libscijvm_disable_la_LIBADD) $(LIBS)
676 libscijvm.la: $(libscijvm_la_OBJECTS) $(libscijvm_la_DEPENDENCIES) 
677         $(libscijvm_la_LINK) $(am_libscijvm_la_rpath) $(libscijvm_la_OBJECTS) $(libscijvm_la_LIBADD) $(LIBS)
678
679 mostlyclean-compile:
680         -rm -f *.$(OBJEXT)
681
682 distclean-compile:
683         -rm -f *.tab.c
684
685 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscijvm_algo_la-InitializeJVM.Plo@am__quote@
686 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscijvm_algo_la-JVM.Plo@am__quote@
687 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscijvm_algo_la-JVM_Unix.Plo@am__quote@
688 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscijvm_algo_la-JVM_commons.Plo@am__quote@
689 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscijvm_algo_la-TerminateJVM.Plo@am__quote@
690 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscijvm_algo_la-addToClasspath.Plo@am__quote@
691 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscijvm_algo_la-addToLibrarypath.Plo@am__quote@
692 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscijvm_algo_la-catchIfJavaException.Plo@am__quote@
693 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscijvm_algo_la-createMainScilabObject.Plo@am__quote@
694 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscijvm_algo_la-getClasspath.Plo@am__quote@
695 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscijvm_algo_la-getJvmOptions.Plo@am__quote@
696 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscijvm_algo_la-getLibrarypath.Plo@am__quote@
697 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscijvm_algo_la-loadBackGroundClassPath.Plo@am__quote@
698 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscijvm_algo_la-loadClasspath.Plo@am__quote@
699 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscijvm_algo_la-loadLibrarypath.Plo@am__quote@
700 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscijvm_algo_la-loadOnUseClassPath.Plo@am__quote@
701 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscijvm_algo_la-system_getproperty.Plo@am__quote@
702 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscijvm_algo_la-system_setproperty.Plo@am__quote@
703 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscijvm_disable_la-nojvm.Plo@am__quote@
704 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscijvm_la-gw_jvm.Plo@am__quote@
705 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscijvm_la-sci_javaclasspath.Plo@am__quote@
706 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscijvm_la-sci_javalibrarypath.Plo@am__quote@
707 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscijvm_la-sci_system_getproperty.Plo@am__quote@
708 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscijvm_la-sci_system_setproperty.Plo@am__quote@
709 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libscijvm_la-sci_with_embedded_jre.Plo@am__quote@
710
711 .c.o:
712 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
713 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
714 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
715 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
716 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
717
718 .c.obj:
719 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
720 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
721 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
722 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
723 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
724
725 .c.lo:
726 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
727 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
728 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
729 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
730 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
731
732 libscijvm_algo_la-InitializeJVM.lo: src/c/InitializeJVM.c
733 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscijvm_algo_la_CFLAGS) $(CFLAGS) -MT libscijvm_algo_la-InitializeJVM.lo -MD -MP -MF $(DEPDIR)/libscijvm_algo_la-InitializeJVM.Tpo -c -o libscijvm_algo_la-InitializeJVM.lo `test -f 'src/c/InitializeJVM.c' || echo '$(srcdir)/'`src/c/InitializeJVM.c
734 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscijvm_algo_la-InitializeJVM.Tpo $(DEPDIR)/libscijvm_algo_la-InitializeJVM.Plo
735 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/InitializeJVM.c' object='libscijvm_algo_la-InitializeJVM.lo' libtool=yes @AMDEPBACKSLASH@
736 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
737 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscijvm_algo_la_CFLAGS) $(CFLAGS) -c -o libscijvm_algo_la-InitializeJVM.lo `test -f 'src/c/InitializeJVM.c' || echo '$(srcdir)/'`src/c/InitializeJVM.c
738
739 libscijvm_algo_la-TerminateJVM.lo: src/c/TerminateJVM.c
740 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscijvm_algo_la_CFLAGS) $(CFLAGS) -MT libscijvm_algo_la-TerminateJVM.lo -MD -MP -MF $(DEPDIR)/libscijvm_algo_la-TerminateJVM.Tpo -c -o libscijvm_algo_la-TerminateJVM.lo `test -f 'src/c/TerminateJVM.c' || echo '$(srcdir)/'`src/c/TerminateJVM.c
741 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscijvm_algo_la-TerminateJVM.Tpo $(DEPDIR)/libscijvm_algo_la-TerminateJVM.Plo
742 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/TerminateJVM.c' object='libscijvm_algo_la-TerminateJVM.lo' libtool=yes @AMDEPBACKSLASH@
743 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
744 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscijvm_algo_la_CFLAGS) $(CFLAGS) -c -o libscijvm_algo_la-TerminateJVM.lo `test -f 'src/c/TerminateJVM.c' || echo '$(srcdir)/'`src/c/TerminateJVM.c
745
746 libscijvm_algo_la-JVM_Unix.lo: src/c/JVM_Unix.c
747 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscijvm_algo_la_CFLAGS) $(CFLAGS) -MT libscijvm_algo_la-JVM_Unix.lo -MD -MP -MF $(DEPDIR)/libscijvm_algo_la-JVM_Unix.Tpo -c -o libscijvm_algo_la-JVM_Unix.lo `test -f 'src/c/JVM_Unix.c' || echo '$(srcdir)/'`src/c/JVM_Unix.c
748 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscijvm_algo_la-JVM_Unix.Tpo $(DEPDIR)/libscijvm_algo_la-JVM_Unix.Plo
749 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/JVM_Unix.c' object='libscijvm_algo_la-JVM_Unix.lo' libtool=yes @AMDEPBACKSLASH@
750 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
751 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscijvm_algo_la_CFLAGS) $(CFLAGS) -c -o libscijvm_algo_la-JVM_Unix.lo `test -f 'src/c/JVM_Unix.c' || echo '$(srcdir)/'`src/c/JVM_Unix.c
752
753 libscijvm_algo_la-JVM.lo: src/c/JVM.c
754 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscijvm_algo_la_CFLAGS) $(CFLAGS) -MT libscijvm_algo_la-JVM.lo -MD -MP -MF $(DEPDIR)/libscijvm_algo_la-JVM.Tpo -c -o libscijvm_algo_la-JVM.lo `test -f 'src/c/JVM.c' || echo '$(srcdir)/'`src/c/JVM.c
755 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscijvm_algo_la-JVM.Tpo $(DEPDIR)/libscijvm_algo_la-JVM.Plo
756 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/JVM.c' object='libscijvm_algo_la-JVM.lo' libtool=yes @AMDEPBACKSLASH@
757 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
758 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscijvm_algo_la_CFLAGS) $(CFLAGS) -c -o libscijvm_algo_la-JVM.lo `test -f 'src/c/JVM.c' || echo '$(srcdir)/'`src/c/JVM.c
759
760 libscijvm_algo_la-addToClasspath.lo: src/c/addToClasspath.c
761 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscijvm_algo_la_CFLAGS) $(CFLAGS) -MT libscijvm_algo_la-addToClasspath.lo -MD -MP -MF $(DEPDIR)/libscijvm_algo_la-addToClasspath.Tpo -c -o libscijvm_algo_la-addToClasspath.lo `test -f 'src/c/addToClasspath.c' || echo '$(srcdir)/'`src/c/addToClasspath.c
762 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscijvm_algo_la-addToClasspath.Tpo $(DEPDIR)/libscijvm_algo_la-addToClasspath.Plo
763 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/addToClasspath.c' object='libscijvm_algo_la-addToClasspath.lo' libtool=yes @AMDEPBACKSLASH@
764 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
765 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscijvm_algo_la_CFLAGS) $(CFLAGS) -c -o libscijvm_algo_la-addToClasspath.lo `test -f 'src/c/addToClasspath.c' || echo '$(srcdir)/'`src/c/addToClasspath.c
766
767 libscijvm_algo_la-loadOnUseClassPath.lo: src/c/loadOnUseClassPath.c
768 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscijvm_algo_la_CFLAGS) $(CFLAGS) -MT libscijvm_algo_la-loadOnUseClassPath.lo -MD -MP -MF $(DEPDIR)/libscijvm_algo_la-loadOnUseClassPath.Tpo -c -o libscijvm_algo_la-loadOnUseClassPath.lo `test -f 'src/c/loadOnUseClassPath.c' || echo '$(srcdir)/'`src/c/loadOnUseClassPath.c
769 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscijvm_algo_la-loadOnUseClassPath.Tpo $(DEPDIR)/libscijvm_algo_la-loadOnUseClassPath.Plo
770 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/loadOnUseClassPath.c' object='libscijvm_algo_la-loadOnUseClassPath.lo' libtool=yes @AMDEPBACKSLASH@
771 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
772 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscijvm_algo_la_CFLAGS) $(CFLAGS) -c -o libscijvm_algo_la-loadOnUseClassPath.lo `test -f 'src/c/loadOnUseClassPath.c' || echo '$(srcdir)/'`src/c/loadOnUseClassPath.c
773
774 libscijvm_algo_la-loadBackGroundClassPath.lo: src/c/loadBackGroundClassPath.c
775 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscijvm_algo_la_CFLAGS) $(CFLAGS) -MT libscijvm_algo_la-loadBackGroundClassPath.lo -MD -MP -MF $(DEPDIR)/libscijvm_algo_la-loadBackGroundClassPath.Tpo -c -o libscijvm_algo_la-loadBackGroundClassPath.lo `test -f 'src/c/loadBackGroundClassPath.c' || echo '$(srcdir)/'`src/c/loadBackGroundClassPath.c
776 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscijvm_algo_la-loadBackGroundClassPath.Tpo $(DEPDIR)/libscijvm_algo_la-loadBackGroundClassPath.Plo
777 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/loadBackGroundClassPath.c' object='libscijvm_algo_la-loadBackGroundClassPath.lo' libtool=yes @AMDEPBACKSLASH@
778 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
779 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscijvm_algo_la_CFLAGS) $(CFLAGS) -c -o libscijvm_algo_la-loadBackGroundClassPath.lo `test -f 'src/c/loadBackGroundClassPath.c' || echo '$(srcdir)/'`src/c/loadBackGroundClassPath.c
780
781 libscijvm_algo_la-getClasspath.lo: src/c/getClasspath.c
782 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscijvm_algo_la_CFLAGS) $(CFLAGS) -MT libscijvm_algo_la-getClasspath.lo -MD -MP -MF $(DEPDIR)/libscijvm_algo_la-getClasspath.Tpo -c -o libscijvm_algo_la-getClasspath.lo `test -f 'src/c/getClasspath.c' || echo '$(srcdir)/'`src/c/getClasspath.c
783 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscijvm_algo_la-getClasspath.Tpo $(DEPDIR)/libscijvm_algo_la-getClasspath.Plo
784 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/getClasspath.c' object='libscijvm_algo_la-getClasspath.lo' libtool=yes @AMDEPBACKSLASH@
785 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
786 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscijvm_algo_la_CFLAGS) $(CFLAGS) -c -o libscijvm_algo_la-getClasspath.lo `test -f 'src/c/getClasspath.c' || echo '$(srcdir)/'`src/c/getClasspath.c
787
788 libscijvm_algo_la-system_getproperty.lo: src/c/system_getproperty.c
789 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscijvm_algo_la_CFLAGS) $(CFLAGS) -MT libscijvm_algo_la-system_getproperty.lo -MD -MP -MF $(DEPDIR)/libscijvm_algo_la-system_getproperty.Tpo -c -o libscijvm_algo_la-system_getproperty.lo `test -f 'src/c/system_getproperty.c' || echo '$(srcdir)/'`src/c/system_getproperty.c
790 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscijvm_algo_la-system_getproperty.Tpo $(DEPDIR)/libscijvm_algo_la-system_getproperty.Plo
791 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/system_getproperty.c' object='libscijvm_algo_la-system_getproperty.lo' libtool=yes @AMDEPBACKSLASH@
792 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
793 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscijvm_algo_la_CFLAGS) $(CFLAGS) -c -o libscijvm_algo_la-system_getproperty.lo `test -f 'src/c/system_getproperty.c' || echo '$(srcdir)/'`src/c/system_getproperty.c
794
795 libscijvm_algo_la-system_setproperty.lo: src/c/system_setproperty.c
796 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscijvm_algo_la_CFLAGS) $(CFLAGS) -MT libscijvm_algo_la-system_setproperty.lo -MD -MP -MF $(DEPDIR)/libscijvm_algo_la-system_setproperty.Tpo -c -o libscijvm_algo_la-system_setproperty.lo `test -f 'src/c/system_setproperty.c' || echo '$(srcdir)/'`src/c/system_setproperty.c
797 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscijvm_algo_la-system_setproperty.Tpo $(DEPDIR)/libscijvm_algo_la-system_setproperty.Plo
798 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/system_setproperty.c' object='libscijvm_algo_la-system_setproperty.lo' libtool=yes @AMDEPBACKSLASH@
799 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
800 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscijvm_algo_la_CFLAGS) $(CFLAGS) -c -o libscijvm_algo_la-system_setproperty.lo `test -f 'src/c/system_setproperty.c' || echo '$(srcdir)/'`src/c/system_setproperty.c
801
802 libscijvm_algo_la-loadClasspath.lo: src/c/loadClasspath.c
803 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscijvm_algo_la_CFLAGS) $(CFLAGS) -MT libscijvm_algo_la-loadClasspath.lo -MD -MP -MF $(DEPDIR)/libscijvm_algo_la-loadClasspath.Tpo -c -o libscijvm_algo_la-loadClasspath.lo `test -f 'src/c/loadClasspath.c' || echo '$(srcdir)/'`src/c/loadClasspath.c
804 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscijvm_algo_la-loadClasspath.Tpo $(DEPDIR)/libscijvm_algo_la-loadClasspath.Plo
805 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/loadClasspath.c' object='libscijvm_algo_la-loadClasspath.lo' libtool=yes @AMDEPBACKSLASH@
806 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
807 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscijvm_algo_la_CFLAGS) $(CFLAGS) -c -o libscijvm_algo_la-loadClasspath.lo `test -f 'src/c/loadClasspath.c' || echo '$(srcdir)/'`src/c/loadClasspath.c
808
809 libscijvm_algo_la-createMainScilabObject.lo: src/c/createMainScilabObject.c
810 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscijvm_algo_la_CFLAGS) $(CFLAGS) -MT libscijvm_algo_la-createMainScilabObject.lo -MD -MP -MF $(DEPDIR)/libscijvm_algo_la-createMainScilabObject.Tpo -c -o libscijvm_algo_la-createMainScilabObject.lo `test -f 'src/c/createMainScilabObject.c' || echo '$(srcdir)/'`src/c/createMainScilabObject.c
811 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscijvm_algo_la-createMainScilabObject.Tpo $(DEPDIR)/libscijvm_algo_la-createMainScilabObject.Plo
812 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/createMainScilabObject.c' object='libscijvm_algo_la-createMainScilabObject.lo' libtool=yes @AMDEPBACKSLASH@
813 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
814 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscijvm_algo_la_CFLAGS) $(CFLAGS) -c -o libscijvm_algo_la-createMainScilabObject.lo `test -f 'src/c/createMainScilabObject.c' || echo '$(srcdir)/'`src/c/createMainScilabObject.c
815
816 libscijvm_algo_la-JVM_commons.lo: src/c/JVM_commons.c
817 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscijvm_algo_la_CFLAGS) $(CFLAGS) -MT libscijvm_algo_la-JVM_commons.lo -MD -MP -MF $(DEPDIR)/libscijvm_algo_la-JVM_commons.Tpo -c -o libscijvm_algo_la-JVM_commons.lo `test -f 'src/c/JVM_commons.c' || echo '$(srcdir)/'`src/c/JVM_commons.c
818 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscijvm_algo_la-JVM_commons.Tpo $(DEPDIR)/libscijvm_algo_la-JVM_commons.Plo
819 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/JVM_commons.c' object='libscijvm_algo_la-JVM_commons.lo' libtool=yes @AMDEPBACKSLASH@
820 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
821 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscijvm_algo_la_CFLAGS) $(CFLAGS) -c -o libscijvm_algo_la-JVM_commons.lo `test -f 'src/c/JVM_commons.c' || echo '$(srcdir)/'`src/c/JVM_commons.c
822
823 libscijvm_algo_la-catchIfJavaException.lo: src/c/catchIfJavaException.c
824 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscijvm_algo_la_CFLAGS) $(CFLAGS) -MT libscijvm_algo_la-catchIfJavaException.lo -MD -MP -MF $(DEPDIR)/libscijvm_algo_la-catchIfJavaException.Tpo -c -o libscijvm_algo_la-catchIfJavaException.lo `test -f 'src/c/catchIfJavaException.c' || echo '$(srcdir)/'`src/c/catchIfJavaException.c
825 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscijvm_algo_la-catchIfJavaException.Tpo $(DEPDIR)/libscijvm_algo_la-catchIfJavaException.Plo
826 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/catchIfJavaException.c' object='libscijvm_algo_la-catchIfJavaException.lo' libtool=yes @AMDEPBACKSLASH@
827 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
828 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscijvm_algo_la_CFLAGS) $(CFLAGS) -c -o libscijvm_algo_la-catchIfJavaException.lo `test -f 'src/c/catchIfJavaException.c' || echo '$(srcdir)/'`src/c/catchIfJavaException.c
829
830 libscijvm_algo_la-loadLibrarypath.lo: src/c/loadLibrarypath.c
831 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscijvm_algo_la_CFLAGS) $(CFLAGS) -MT libscijvm_algo_la-loadLibrarypath.lo -MD -MP -MF $(DEPDIR)/libscijvm_algo_la-loadLibrarypath.Tpo -c -o libscijvm_algo_la-loadLibrarypath.lo `test -f 'src/c/loadLibrarypath.c' || echo '$(srcdir)/'`src/c/loadLibrarypath.c
832 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscijvm_algo_la-loadLibrarypath.Tpo $(DEPDIR)/libscijvm_algo_la-loadLibrarypath.Plo
833 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/loadLibrarypath.c' object='libscijvm_algo_la-loadLibrarypath.lo' libtool=yes @AMDEPBACKSLASH@
834 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
835 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscijvm_algo_la_CFLAGS) $(CFLAGS) -c -o libscijvm_algo_la-loadLibrarypath.lo `test -f 'src/c/loadLibrarypath.c' || echo '$(srcdir)/'`src/c/loadLibrarypath.c
836
837 libscijvm_algo_la-getLibrarypath.lo: src/c/getLibrarypath.c
838 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscijvm_algo_la_CFLAGS) $(CFLAGS) -MT libscijvm_algo_la-getLibrarypath.lo -MD -MP -MF $(DEPDIR)/libscijvm_algo_la-getLibrarypath.Tpo -c -o libscijvm_algo_la-getLibrarypath.lo `test -f 'src/c/getLibrarypath.c' || echo '$(srcdir)/'`src/c/getLibrarypath.c
839 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscijvm_algo_la-getLibrarypath.Tpo $(DEPDIR)/libscijvm_algo_la-getLibrarypath.Plo
840 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/getLibrarypath.c' object='libscijvm_algo_la-getLibrarypath.lo' libtool=yes @AMDEPBACKSLASH@
841 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
842 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscijvm_algo_la_CFLAGS) $(CFLAGS) -c -o libscijvm_algo_la-getLibrarypath.lo `test -f 'src/c/getLibrarypath.c' || echo '$(srcdir)/'`src/c/getLibrarypath.c
843
844 libscijvm_algo_la-addToLibrarypath.lo: src/c/addToLibrarypath.c
845 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscijvm_algo_la_CFLAGS) $(CFLAGS) -MT libscijvm_algo_la-addToLibrarypath.lo -MD -MP -MF $(DEPDIR)/libscijvm_algo_la-addToLibrarypath.Tpo -c -o libscijvm_algo_la-addToLibrarypath.lo `test -f 'src/c/addToLibrarypath.c' || echo '$(srcdir)/'`src/c/addToLibrarypath.c
846 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscijvm_algo_la-addToLibrarypath.Tpo $(DEPDIR)/libscijvm_algo_la-addToLibrarypath.Plo
847 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/addToLibrarypath.c' object='libscijvm_algo_la-addToLibrarypath.lo' libtool=yes @AMDEPBACKSLASH@
848 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
849 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscijvm_algo_la_CFLAGS) $(CFLAGS) -c -o libscijvm_algo_la-addToLibrarypath.lo `test -f 'src/c/addToLibrarypath.c' || echo '$(srcdir)/'`src/c/addToLibrarypath.c
850
851 libscijvm_algo_la-getJvmOptions.lo: src/c/getJvmOptions.c
852 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscijvm_algo_la_CFLAGS) $(CFLAGS) -MT libscijvm_algo_la-getJvmOptions.lo -MD -MP -MF $(DEPDIR)/libscijvm_algo_la-getJvmOptions.Tpo -c -o libscijvm_algo_la-getJvmOptions.lo `test -f 'src/c/getJvmOptions.c' || echo '$(srcdir)/'`src/c/getJvmOptions.c
853 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscijvm_algo_la-getJvmOptions.Tpo $(DEPDIR)/libscijvm_algo_la-getJvmOptions.Plo
854 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/c/getJvmOptions.c' object='libscijvm_algo_la-getJvmOptions.lo' libtool=yes @AMDEPBACKSLASH@
855 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
856 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscijvm_algo_la_CFLAGS) $(CFLAGS) -c -o libscijvm_algo_la-getJvmOptions.lo `test -f 'src/c/getJvmOptions.c' || echo '$(srcdir)/'`src/c/getJvmOptions.c
857
858 libscijvm_disable_la-nojvm.lo: src/nojvm/nojvm.c
859 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscijvm_disable_la_CFLAGS) $(CFLAGS) -MT libscijvm_disable_la-nojvm.lo -MD -MP -MF $(DEPDIR)/libscijvm_disable_la-nojvm.Tpo -c -o libscijvm_disable_la-nojvm.lo `test -f 'src/nojvm/nojvm.c' || echo '$(srcdir)/'`src/nojvm/nojvm.c
860 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscijvm_disable_la-nojvm.Tpo $(DEPDIR)/libscijvm_disable_la-nojvm.Plo
861 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='src/nojvm/nojvm.c' object='libscijvm_disable_la-nojvm.lo' libtool=yes @AMDEPBACKSLASH@
862 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
863 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscijvm_disable_la_CFLAGS) $(CFLAGS) -c -o libscijvm_disable_la-nojvm.lo `test -f 'src/nojvm/nojvm.c' || echo '$(srcdir)/'`src/nojvm/nojvm.c
864
865 libscijvm_la-sci_system_getproperty.lo: sci_gateway/c/sci_system_getproperty.c
866 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscijvm_la_CFLAGS) $(CFLAGS) -MT libscijvm_la-sci_system_getproperty.lo -MD -MP -MF $(DEPDIR)/libscijvm_la-sci_system_getproperty.Tpo -c -o libscijvm_la-sci_system_getproperty.lo `test -f 'sci_gateway/c/sci_system_getproperty.c' || echo '$(srcdir)/'`sci_gateway/c/sci_system_getproperty.c
867 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscijvm_la-sci_system_getproperty.Tpo $(DEPDIR)/libscijvm_la-sci_system_getproperty.Plo
868 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_system_getproperty.c' object='libscijvm_la-sci_system_getproperty.lo' libtool=yes @AMDEPBACKSLASH@
869 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
870 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscijvm_la_CFLAGS) $(CFLAGS) -c -o libscijvm_la-sci_system_getproperty.lo `test -f 'sci_gateway/c/sci_system_getproperty.c' || echo '$(srcdir)/'`sci_gateway/c/sci_system_getproperty.c
871
872 libscijvm_la-sci_system_setproperty.lo: sci_gateway/c/sci_system_setproperty.c
873 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscijvm_la_CFLAGS) $(CFLAGS) -MT libscijvm_la-sci_system_setproperty.lo -MD -MP -MF $(DEPDIR)/libscijvm_la-sci_system_setproperty.Tpo -c -o libscijvm_la-sci_system_setproperty.lo `test -f 'sci_gateway/c/sci_system_setproperty.c' || echo '$(srcdir)/'`sci_gateway/c/sci_system_setproperty.c
874 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscijvm_la-sci_system_setproperty.Tpo $(DEPDIR)/libscijvm_la-sci_system_setproperty.Plo
875 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_system_setproperty.c' object='libscijvm_la-sci_system_setproperty.lo' libtool=yes @AMDEPBACKSLASH@
876 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
877 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscijvm_la_CFLAGS) $(CFLAGS) -c -o libscijvm_la-sci_system_setproperty.lo `test -f 'sci_gateway/c/sci_system_setproperty.c' || echo '$(srcdir)/'`sci_gateway/c/sci_system_setproperty.c
878
879 libscijvm_la-sci_with_embedded_jre.lo: sci_gateway/c/sci_with_embedded_jre.c
880 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscijvm_la_CFLAGS) $(CFLAGS) -MT libscijvm_la-sci_with_embedded_jre.lo -MD -MP -MF $(DEPDIR)/libscijvm_la-sci_with_embedded_jre.Tpo -c -o libscijvm_la-sci_with_embedded_jre.lo `test -f 'sci_gateway/c/sci_with_embedded_jre.c' || echo '$(srcdir)/'`sci_gateway/c/sci_with_embedded_jre.c
881 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscijvm_la-sci_with_embedded_jre.Tpo $(DEPDIR)/libscijvm_la-sci_with_embedded_jre.Plo
882 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_with_embedded_jre.c' object='libscijvm_la-sci_with_embedded_jre.lo' libtool=yes @AMDEPBACKSLASH@
883 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
884 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscijvm_la_CFLAGS) $(CFLAGS) -c -o libscijvm_la-sci_with_embedded_jre.lo `test -f 'sci_gateway/c/sci_with_embedded_jre.c' || echo '$(srcdir)/'`sci_gateway/c/sci_with_embedded_jre.c
885
886 libscijvm_la-sci_javaclasspath.lo: sci_gateway/c/sci_javaclasspath.c
887 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscijvm_la_CFLAGS) $(CFLAGS) -MT libscijvm_la-sci_javaclasspath.lo -MD -MP -MF $(DEPDIR)/libscijvm_la-sci_javaclasspath.Tpo -c -o libscijvm_la-sci_javaclasspath.lo `test -f 'sci_gateway/c/sci_javaclasspath.c' || echo '$(srcdir)/'`sci_gateway/c/sci_javaclasspath.c
888 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscijvm_la-sci_javaclasspath.Tpo $(DEPDIR)/libscijvm_la-sci_javaclasspath.Plo
889 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_javaclasspath.c' object='libscijvm_la-sci_javaclasspath.lo' libtool=yes @AMDEPBACKSLASH@
890 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
891 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscijvm_la_CFLAGS) $(CFLAGS) -c -o libscijvm_la-sci_javaclasspath.lo `test -f 'sci_gateway/c/sci_javaclasspath.c' || echo '$(srcdir)/'`sci_gateway/c/sci_javaclasspath.c
892
893 libscijvm_la-gw_jvm.lo: sci_gateway/c/gw_jvm.c
894 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscijvm_la_CFLAGS) $(CFLAGS) -MT libscijvm_la-gw_jvm.lo -MD -MP -MF $(DEPDIR)/libscijvm_la-gw_jvm.Tpo -c -o libscijvm_la-gw_jvm.lo `test -f 'sci_gateway/c/gw_jvm.c' || echo '$(srcdir)/'`sci_gateway/c/gw_jvm.c
895 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscijvm_la-gw_jvm.Tpo $(DEPDIR)/libscijvm_la-gw_jvm.Plo
896 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/gw_jvm.c' object='libscijvm_la-gw_jvm.lo' libtool=yes @AMDEPBACKSLASH@
897 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
898 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscijvm_la_CFLAGS) $(CFLAGS) -c -o libscijvm_la-gw_jvm.lo `test -f 'sci_gateway/c/gw_jvm.c' || echo '$(srcdir)/'`sci_gateway/c/gw_jvm.c
899
900 libscijvm_la-sci_javalibrarypath.lo: sci_gateway/c/sci_javalibrarypath.c
901 @am__fastdepCC_TRUE@    $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscijvm_la_CFLAGS) $(CFLAGS) -MT libscijvm_la-sci_javalibrarypath.lo -MD -MP -MF $(DEPDIR)/libscijvm_la-sci_javalibrarypath.Tpo -c -o libscijvm_la-sci_javalibrarypath.lo `test -f 'sci_gateway/c/sci_javalibrarypath.c' || echo '$(srcdir)/'`sci_gateway/c/sci_javalibrarypath.c
902 @am__fastdepCC_TRUE@    $(am__mv) $(DEPDIR)/libscijvm_la-sci_javalibrarypath.Tpo $(DEPDIR)/libscijvm_la-sci_javalibrarypath.Plo
903 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='sci_gateway/c/sci_javalibrarypath.c' object='libscijvm_la-sci_javalibrarypath.lo' libtool=yes @AMDEPBACKSLASH@
904 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
905 @am__fastdepCC_FALSE@   $(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libscijvm_la_CFLAGS) $(CFLAGS) -c -o libscijvm_la-sci_javalibrarypath.lo `test -f 'sci_gateway/c/sci_javalibrarypath.c' || echo '$(srcdir)/'`sci_gateway/c/sci_javalibrarypath.c
906
907 mostlyclean-libtool:
908         -rm -f *.lo
909
910 clean-libtool:
911         -rm -rf .libs _libs
912 install-libscijvm_la_etcDATA: $(libscijvm_la_etc_DATA)
913         @$(NORMAL_INSTALL)
914         test -z "$(libscijvm_la_etcdir)" || $(MKDIR_P) "$(DESTDIR)$(libscijvm_la_etcdir)"
915         @list='$(libscijvm_la_etc_DATA)'; test -n "$(libscijvm_la_etcdir)" || list=; \
916         for p in $$list; do \
917           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
918           echo "$$d$$p"; \
919         done | $(am__base_list) | \
920         while read files; do \
921           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscijvm_la_etcdir)'"; \
922           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscijvm_la_etcdir)" || exit $$?; \
923         done
924
925 uninstall-libscijvm_la_etcDATA:
926         @$(NORMAL_UNINSTALL)
927         @list='$(libscijvm_la_etc_DATA)'; test -n "$(libscijvm_la_etcdir)" || list=; \
928         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
929         dir='$(DESTDIR)$(libscijvm_la_etcdir)'; $(am__uninstall_files_from_dir)
930 install-libscijvm_la_rootDATA: $(libscijvm_la_root_DATA)
931         @$(NORMAL_INSTALL)
932         test -z "$(libscijvm_la_rootdir)" || $(MKDIR_P) "$(DESTDIR)$(libscijvm_la_rootdir)"
933         @list='$(libscijvm_la_root_DATA)'; test -n "$(libscijvm_la_rootdir)" || list=; \
934         for p in $$list; do \
935           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
936           echo "$$d$$p"; \
937         done | $(am__base_list) | \
938         while read files; do \
939           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscijvm_la_rootdir)'"; \
940           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscijvm_la_rootdir)" || exit $$?; \
941         done
942
943 uninstall-libscijvm_la_rootDATA:
944         @$(NORMAL_UNINSTALL)
945         @list='$(libscijvm_la_root_DATA)'; test -n "$(libscijvm_la_rootdir)" || list=; \
946         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
947         dir='$(DESTDIR)$(libscijvm_la_rootdir)'; $(am__uninstall_files_from_dir)
948 install-libscijvm_la_sci_gatewayDATA: $(libscijvm_la_sci_gateway_DATA)
949         @$(NORMAL_INSTALL)
950         test -z "$(libscijvm_la_sci_gatewaydir)" || $(MKDIR_P) "$(DESTDIR)$(libscijvm_la_sci_gatewaydir)"
951         @list='$(libscijvm_la_sci_gateway_DATA)'; test -n "$(libscijvm_la_sci_gatewaydir)" || list=; \
952         for p in $$list; do \
953           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
954           echo "$$d$$p"; \
955         done | $(am__base_list) | \
956         while read files; do \
957           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscijvm_la_sci_gatewaydir)'"; \
958           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscijvm_la_sci_gatewaydir)" || exit $$?; \
959         done
960
961 uninstall-libscijvm_la_sci_gatewayDATA:
962         @$(NORMAL_UNINSTALL)
963         @list='$(libscijvm_la_sci_gateway_DATA)'; test -n "$(libscijvm_la_sci_gatewaydir)" || list=; \
964         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
965         dir='$(DESTDIR)$(libscijvm_la_sci_gatewaydir)'; $(am__uninstall_files_from_dir)
966 install-libscijvm_la_xmlDATA: $(libscijvm_la_xml_DATA)
967         @$(NORMAL_INSTALL)
968         test -z "$(libscijvm_la_xmldir)" || $(MKDIR_P) "$(DESTDIR)$(libscijvm_la_xmldir)"
969         @list='$(libscijvm_la_xml_DATA)'; test -n "$(libscijvm_la_xmldir)" || list=; \
970         for p in $$list; do \
971           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
972           echo "$$d$$p"; \
973         done | $(am__base_list) | \
974         while read files; do \
975           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscijvm_la_xmldir)'"; \
976           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscijvm_la_xmldir)" || exit $$?; \
977         done
978
979 uninstall-libscijvm_la_xmlDATA:
980         @$(NORMAL_UNINSTALL)
981         @list='$(libscijvm_la_xml_DATA)'; test -n "$(libscijvm_la_xmldir)" || list=; \
982         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
983         dir='$(DESTDIR)$(libscijvm_la_xmldir)'; $(am__uninstall_files_from_dir)
984 install-libscijvm_la_includeHEADERS: $(libscijvm_la_include_HEADERS)
985         @$(NORMAL_INSTALL)
986         test -z "$(libscijvm_la_includedir)" || $(MKDIR_P) "$(DESTDIR)$(libscijvm_la_includedir)"
987         @list='$(libscijvm_la_include_HEADERS)'; test -n "$(libscijvm_la_includedir)" || list=; \
988         for p in $$list; do \
989           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
990           echo "$$d$$p"; \
991         done | $(am__base_list) | \
992         while read files; do \
993           echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(libscijvm_la_includedir)'"; \
994           $(INSTALL_HEADER) $$files "$(DESTDIR)$(libscijvm_la_includedir)" || exit $$?; \
995         done
996
997 uninstall-libscijvm_la_includeHEADERS:
998         @$(NORMAL_UNINSTALL)
999         @list='$(libscijvm_la_include_HEADERS)'; test -n "$(libscijvm_la_includedir)" || list=; \
1000         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1001         dir='$(DESTDIR)$(libscijvm_la_includedir)'; $(am__uninstall_files_from_dir)
1002
1003 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
1004         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
1005         unique=`for i in $$list; do \
1006             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
1007           done | \
1008           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
1009               END { if (nonempty) { for (i in files) print i; }; }'`; \
1010         mkid -fID $$unique
1011 tags: TAGS
1012
1013 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
1014                 $(TAGS_FILES) $(LISP)
1015         set x; \
1016         here=`pwd`; \
1017         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
1018         unique=`for i in $$list; do \
1019             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
1020           done | \
1021           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
1022               END { if (nonempty) { for (i in files) print i; }; }'`; \
1023         shift; \
1024         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1025           test -n "$$unique" || unique=$$empty_fix; \
1026           if test $$# -gt 0; then \
1027             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1028               "$$@" $$unique; \
1029           else \
1030             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1031               $$unique; \
1032           fi; \
1033         fi
1034 ctags: CTAGS
1035 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
1036                 $(TAGS_FILES) $(LISP)
1037         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
1038         unique=`for i in $$list; do \
1039             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
1040           done | \
1041           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
1042               END { if (nonempty) { for (i in files) print i; }; }'`; \
1043         test -z "$(CTAGS_ARGS)$$unique" \
1044           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1045              $$unique
1046
1047 GTAGS:
1048         here=`$(am__cd) $(top_builddir) && pwd` \
1049           && $(am__cd) $(top_srcdir) \
1050           && gtags -i $(GTAGS_ARGS) "$$here"
1051
1052 distclean-tags:
1053         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1054
1055 distdir: $(DISTFILES)
1056         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1057         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1058         list='$(DISTFILES)'; \
1059           dist_files=`for file in $$list; do echo $$file; done | \
1060           sed -e "s|^$$srcdirstrip/||;t" \
1061               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1062         case $$dist_files in \
1063           */*) $(MKDIR_P) `echo "$$dist_files" | \
1064                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1065                            sort -u` ;; \
1066         esac; \
1067         for file in $$dist_files; do \
1068           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1069           if test -d $$d/$$file; then \
1070             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1071             if test -d "$(distdir)/$$file"; then \
1072               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1073             fi; \
1074             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1075               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1076               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1077             fi; \
1078             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1079           else \
1080             test -f "$(distdir)/$$file" \
1081             || cp -p $$d/$$file "$(distdir)/$$file" \
1082             || exit 1; \
1083           fi; \
1084         done
1085 check-am: all-am
1086         $(MAKE) $(AM_MAKEFLAGS) check-local
1087 check: check-am
1088 all-am: Makefile $(LTLIBRARIES) $(DATA) $(HEADERS) all-local
1089 installdirs:
1090         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libscijvm_la_etcdir)" "$(DESTDIR)$(libscijvm_la_rootdir)" "$(DESTDIR)$(libscijvm_la_sci_gatewaydir)" "$(DESTDIR)$(libscijvm_la_xmldir)" "$(DESTDIR)$(libscijvm_la_includedir)"; do \
1091           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1092         done
1093 install: install-am
1094 install-exec: install-exec-am
1095 install-data: install-data-am
1096 uninstall: uninstall-am
1097
1098 install-am: all-am
1099         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1100
1101 installcheck: installcheck-am
1102 install-strip:
1103         if test -z '$(STRIP)'; then \
1104           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1105             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1106               install; \
1107         else \
1108           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1109             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1110             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1111         fi
1112 mostlyclean-generic:
1113
1114 clean-generic:
1115
1116 distclean-generic:
1117         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1118         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1119
1120 maintainer-clean-generic:
1121         @echo "This command is intended for maintainers to use"
1122         @echo "it deletes files that may require special tools to rebuild."
1123 clean: clean-am
1124
1125 clean-am: clean-generic clean-libtool clean-local \
1126         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
1127
1128 distclean: distclean-am
1129         -rm -rf ./$(DEPDIR)
1130         -rm -f Makefile
1131 distclean-am: clean-am distclean-compile distclean-generic \
1132         distclean-local distclean-tags
1133
1134 dvi: dvi-am
1135
1136 dvi-am:
1137
1138 html: html-am
1139
1140 html-am:
1141
1142 info: info-am
1143
1144 info-am:
1145
1146 install-data-am: install-data-local install-libscijvm_la_etcDATA \
1147         install-libscijvm_la_includeHEADERS \
1148         install-libscijvm_la_rootDATA \
1149         install-libscijvm_la_sci_gatewayDATA \
1150         install-libscijvm_la_xmlDATA
1151
1152 install-dvi: install-dvi-am
1153
1154 install-dvi-am:
1155
1156 install-exec-am: install-pkglibLTLIBRARIES
1157
1158 install-html: install-html-am
1159
1160 install-html-am: install-html-local
1161
1162 install-info: install-info-am
1163
1164 install-info-am:
1165
1166 install-man:
1167
1168 install-pdf: install-pdf-am
1169
1170 install-pdf-am:
1171
1172 install-ps: install-ps-am
1173
1174 install-ps-am:
1175
1176 installcheck-am:
1177
1178 maintainer-clean: maintainer-clean-am
1179         -rm -rf ./$(DEPDIR)
1180         -rm -f Makefile
1181 maintainer-clean-am: distclean-am maintainer-clean-generic
1182
1183 mostlyclean: mostlyclean-am
1184
1185 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1186         mostlyclean-libtool
1187
1188 pdf: pdf-am
1189
1190 pdf-am:
1191
1192 ps: ps-am
1193
1194 ps-am:
1195
1196 uninstall-am: uninstall-libscijvm_la_etcDATA \
1197         uninstall-libscijvm_la_includeHEADERS \
1198         uninstall-libscijvm_la_rootDATA \
1199         uninstall-libscijvm_la_sci_gatewayDATA \
1200         uninstall-libscijvm_la_xmlDATA uninstall-pkglibLTLIBRARIES
1201
1202 .MAKE: check-am install-am install-strip
1203
1204 .PHONY: CTAGS GTAGS all all-am all-local check check-am check-local \
1205         clean clean-generic clean-libtool clean-local \
1206         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES ctags \
1207         distclean distclean-compile distclean-generic \
1208         distclean-libtool distclean-local distclean-tags distdir dvi \
1209         dvi-am html html-am info info-am install install-am \
1210         install-data install-data-am install-data-local install-dvi \
1211         install-dvi-am install-exec install-exec-am install-html \
1212         install-html-am install-html-local install-info \
1213         install-info-am install-libscijvm_la_etcDATA \
1214         install-libscijvm_la_includeHEADERS \
1215         install-libscijvm_la_rootDATA \
1216         install-libscijvm_la_sci_gatewayDATA \
1217         install-libscijvm_la_xmlDATA install-man install-pdf \
1218         install-pdf-am install-pkglibLTLIBRARIES install-ps \
1219         install-ps-am install-strip installcheck installcheck-am \
1220         installdirs maintainer-clean maintainer-clean-generic \
1221         mostlyclean mostlyclean-compile mostlyclean-generic \
1222         mostlyclean-libtool pdf pdf-am ps ps-am tags uninstall \
1223         uninstall-am uninstall-libscijvm_la_etcDATA \
1224         uninstall-libscijvm_la_includeHEADERS \
1225         uninstall-libscijvm_la_rootDATA \
1226         uninstall-libscijvm_la_sci_gatewayDATA \
1227         uninstall-libscijvm_la_xmlDATA uninstall-pkglibLTLIBRARIES
1228
1229
1230 # This target enables tests for Scilab
1231 check-local: $(top_builddir)/scilab-bin test
1232         @COMMAND="test_run('$(modulename)');quit";\
1233         export LANG=C;\
1234         $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"
1235 check-code:
1236         if test -f build.xml; then \
1237                 $(ANT) checkstyle; \
1238         fi
1239         if test -x "$(SPLINT)"; then \
1240                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1241         fi
1242 @NEED_JAVA_TRUE@java:
1243 # Some configurations needs to export JAVA_HOME in the current env
1244 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1245 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1246 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1247 @NEED_JAVA_TRUE@                $(ANT); \
1248 @NEED_JAVA_TRUE@        fi
1249
1250 @NEED_JAVA_TRUE@clean-java:
1251 # Some configurations needs to export JAVA_HOME in the current env
1252 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1253 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1254 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1255 @NEED_JAVA_TRUE@                $(ANT) clean; \
1256 @NEED_JAVA_TRUE@        fi;
1257
1258 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1259 # We call the target swig-build on the variable SWIG_WRAPPERS
1260
1261 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1262 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1263 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1264 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1265 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1266 @SWIG_TRUE@                     echo "Swig process of $$file ..."; \
1267 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1268 @SWIG_TRUE@             done; \
1269 @SWIG_TRUE@     fi
1270
1271 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1272 # We call the target swig-build on the variable SWIG_WRAPPERS
1273
1274 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1275 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1276 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1277 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1278 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1279 @GIWS_TRUE@                     $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR --throws-exception-on-error --description-file $$file; \
1280 @GIWS_TRUE@             done; \
1281 @GIWS_TRUE@     fi
1282
1283 @GIWS_TRUE@giws-exception:
1284 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1285 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1286 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
1287
1288 macros:
1289         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1290                 echo "Error : Cannot build $< : Scilab has not been built"; \
1291         else \
1292                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1293         fi)
1294
1295 # Removes the macros
1296 clean-macros:
1297 # Removes macros (*.bin generated from .sci)
1298         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1299                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1300                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1301         done
1302
1303 test:
1304 # More tests could be added here
1305         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1306         if test -f build.xml -a $$USEANT -eq 1; then \
1307                 $(ANT) test; \
1308         fi
1309
1310 all-local: $(TARGETS_ALL)
1311
1312 .sci.bin:
1313         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1314         echo "Error : Cannot build $< : Scilab has not been build"; \
1315         else \
1316         echo "Creating $@"; \
1317         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1318         fi )
1319
1320 install-html-local:
1321
1322 install-data-local-local:
1323 # Mainly for javasci
1324         @if test -d $(srcdir)/javadoc; then \
1325                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1326         fi
1327 # If the user wants the help sources to be installed
1328 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1329 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1330 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1331 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1332 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1333 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1334 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1335 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1336 @INSTALL_HELP_XML_TRUE@           done ; \
1337 @INSTALL_HELP_XML_TRUE@         fi; \
1338 @INSTALL_HELP_XML_TRUE@  fi; \
1339 @INSTALL_HELP_XML_TRUE@ done; \
1340 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1341 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1342 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1343 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1344 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1345 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1346 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1347 @INSTALL_HELP_XML_TRUE@           done ; \
1348 @INSTALL_HELP_XML_TRUE@         fi; \
1349 @INSTALL_HELP_XML_TRUE@ fi
1350 install-data-local:
1351 # Install the tests
1352         @echo "-------- Install tests (if any) --------"; \
1353         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1354           if test -d $(srcdir)/$$dir/; then \
1355             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1356                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1357                     if test -d "$(srcdir)/$$dir/$$file"; then \
1358                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1359                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1360                     else \
1361                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1362                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1363                     fi \
1364                   done; \
1365           fi; \
1366         done
1367 # Install the help chapter
1368         @echo "-------- Install the help chapter (if any) --------"; \
1369         for lang in $(HELP_CHAPTERLANG); do \
1370                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1371                 if test -f $$HELPFILE; then \
1372                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1373                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1374                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1375                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1376                 fi; \
1377         done
1378 # Install the demos & examples
1379         @echo "-------- Install demos & examples (if any) --------"; \
1380         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1381           if test -d $(srcdir)/$$dir/; then \
1382             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1383                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1384                     if test -d "$(srcdir)/$$dir/$$file"; then \
1385                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1386                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1387                     else \
1388                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1389                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1390                     fi \
1391                   done; \
1392           fi; \
1393         done
1394 # Install the macros
1395         @echo "-------- Install macros (if any) --------"; \
1396         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1397           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1398                 if test -d $(srcdir)/$$dir/; then \
1399                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1400                         if test -n "$(MACROSSPECIALEXT)"; then \
1401                                 specialExtDir=""; \
1402                                 for specialExt in $(MACROSSPECIALEXT); do \
1403                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1404                                 done; \
1405                                 FILELIST="$$FILELIST $$specialExtDir"; \
1406                         fi; \
1407                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1408                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1409                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1410                   done; \
1411                 fi; \
1412         done
1413 # Install java files (.jar)
1414         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1415         echo "-------- Install jar files --------"; \
1416     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1417           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1418                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1419                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1420           done ; \
1421         fi
1422
1423 ########### CLEAN ###################
1424 # Clean help (generated automatically by Scilab)
1425 # It used to clean the macro (clean-macros) but this was causing
1426 # make clean && make to fail Scilab startup
1427 @NEED_JAVA_TRUE@clean-local: clean-java
1428 @NEED_JAVA_FALSE@clean-local:
1429
1430 distclean-local:
1431         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1432
1433 .PHONY: macros java swig giws
1434
1435 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1436 # Otherwise a system limit (for SysV at least) may be exceeded.
1437 .NOEXPORT: